#!/bin/bash
set -e

echo "##### Installing Python 3 #####"
echo "### Download Anaconda #####"
curl https://repo.anaconda.com/archive/Anaconda3-2019.07-MacOSX-x86_64.sh --output anaconda3_installer.sh
echo "### Install Anaconda ###"
mkdir ~/.conda
bash anaconda3_installer.sh -b -u
echo "### Initialise Anaconda ###"
source ~/anaconda3/bin/activate
conda init
echo "### Update Python libraries ###"
conda update --all --yes
echo "### Install OpenCV library for Python ###"
conda install opencv hdf5 numpy --yes
